Product delivery time is an estimate of the time it takes for an order
to be delivered after it's placed. [Shipping signals
partners](https://support.google.com/merchants/answer/11197995) can use this
feature to set delivery times for specific regions on behalf of the merchants
they partner with.

> [!IMPORTANT]
> **Important:** Merchants can't edit `ProductDeliveryTime` directly. The `create` and `delete` methods return an error if the requester is a merchant, not a shipping signals partner.

Shipping signals partners can use this resource to set delivery times for
offer-region pairs, and to view or delete existing delivery times on behalf of
merchants they're linked to. One
[`ProductDeliveryTime`](https://developers.google.com/shopping-content/reference/rest/v2.1/productdeliverytime) resource stores
multiple delivery times, and there can be only one `ProductDeliveryTime`
instance per offer.

To use the `ProductDeliveryTime` resource, authenticate as your own Merchant
Center account, not the merchant account you're updating.

## create

Shipping signals partners can create or update a product delivery time by
calling [`create`](https://developers.google.com/shopping-content/reference/rest/v2.1/productdeliverytime/create) with the
`merchantId`of the merchant account to update, and a `ProductDeliveryTime`
instance. To update an existing product delivery time, make sure you provide
all `ProductDeliveryTime` fields, including those that haven't changed. Each
`create` request overwrites the previous instance, so fields you don't include
are lost. This method returns the `ProductDeliveryTime` instance with the
updated information you submit.

Each `ProductDeliveryTime` can have at most 100 `areaDeliveryTimes`
entries.

```
POST https://shoppingcontent.googleapis.com/content/v2.1/merchantId/productdeliverytime
```

Here's a sample request body:

    {
      "productId": {
        "productId": "online:en:US:offer-id"
      }
      "areaDeliveryTimes": [
        {
          "deliveryArea": {
            "countryCode": "US"
            "postalCodeRange": {
              "firstPostalCode": "123*"
              "lastPostalCode": "456*"
            }
          }
          "deliveryTime": {
            "minHandlingTimeDays": "0"
            "maxHandlingTimeDays": "1"
            "minTransitTimeDays": "2"
            "maxTransitTimeDays": "4"
          }
        },
        {
          "deliveryArea": {
            "countryCode": "US"
            "administrativeAreaCode": "NY"
          }
          "deliveryTime": {
            "minHandlingTimeDays": "0"
            "maxHandlingTimeDays": "1"
            "minTransitTimeDays": "5"
            "maxTransitTimeDays": "7"
          }
        }
      ]
    }

## get

Get the delivery time of a product by calling
[`get`](https://developers.google.com/shopping-content/reference/rest/v2.1/productdeliverytime/get) with the merchant's
`merchantId` and the `productId`. This method returns the `ProductDeliveryTime`
instance for the given `productId`.

```
GET https://shoppingcontent.googleapis.com/content/v2.1/merchantId/productdeliverytime/productId
```

## delete

Shipping signals partners can delete a product's delivery time by calling
[`delete`](https://developers.google.com/shopping-content/reference/rest/v2.1/productdeliverytime/delete) with the merchant's
`merchantId` and the `productId`. This method returns an empty response.

```
DELETE https://shoppingcontent.googleapis.com/content/v2.1/merchantId/productdeliverytime/productId
```